Get a vulnerability exemption by ID
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/profiles/{profileId}/vulnerability/exemptions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/profiles/{profileId}/vulnerability/exemptions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/profiles/{profileId}/vulnerability/exemptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"exemptionId": "550e8400-e29b-41d4-a716-446655440000",
"profileId": "123e4567-e89b-12d3-a456-426614174000",
"name": "Critical Patch Exemption",
"auditNote": "Accepted risk due to compensating controls.",
"reason": "COMPENSATING_CONTROL",
"conditions": {
"vulnerabilityIds": [
"CVE-2023-12345"
],
"assetGroupIds": [
"asset-group-123"
],
"assetIds": [
"prn:assets:afeb4e5f-0370-4b43-8e37-7e4efc719358:aws:ec2:instance:ap-southeast-2:i-085a328dba59f229b"
],
"assetRegions": [
"us-east-1"
],
"assetTags": [
{
"key": "environment",
"value": "production"
}
],
"noVendorFix": true,
"hasKev": true,
"hasExploit": true
},
"createdAt": "2023-10-01T12:00:00Z",
"updatedAt": "2023-10-02T14:30:00Z",
"createdBy": "user@example.com",
"updatedBy": "user@example.com"
}
}{
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"message": "Internal server error"
}Get a vulnerability exemption by ID
Retrieves a specific vulnerability exemption by its ID.
GET
/
v1
/
tenant
/
profiles
/
{profileId}
/
vulnerability
/
exemptions
/
{id}
Get a vulnerability exemption by ID
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
Path Parameters
Exemption ID (UUID)
Profile ID (UUID) or the literal string "default" for the default profile.
Response
Exemption retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I